#
# spec file for package perl-Parallel-Pvm (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  pvm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Parallel-Pvm
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    1999 - not specified
Group:        Development/Libraries/Perl
Summary:      This is a perl extension for the parallel virtual machine
Version:      1.2.2
Release:      125
Requires:     pvm
Provides:     p_pvm
Obsoletes:    p_pvm
Source:       Parallel-Pvm-%{version}.tar.gz
Patch:	      Parallel-Pvm-%{version}.dif
BuildRoot: %{_tmppath}/Parallel-Pvm-%{version}-root
Autoreqprov:  on

%description
This is a perl extension for the parallel virtual machine
(PVM) message-passing system.

Authors:
--------
    Edward Walker <edward@nsrc.nus.sg>

SuSE series: perl

%prep
%setup -q -n Parallel-Pvm-%{version}
%patch

%build
export PVM_ROOT=/usr/share/pvm3
export PVM_ARCH=`/usr/bin/pvmgetarch`
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
export PVM_ROOT=/usr/lib/pvm3
export PVM_ARCH=`/usr/bin/pvmgetarch`
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Parallel-Pvm
find $RPM_BUILD_ROOT/usr/lib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > Parallel-Pvm-%{version}-filelist

%files -f Parallel-Pvm-%{version}-filelist
%defattr(-,root,root)
/var/adm/perl-modules/perl-Parallel-Pvm
/usr/share/man/man3/*

%changelog -n perl-Parallel-Pvm
* Thu Mar 08 2001 - nashif@suse.de
- fixed %%files in spec
* Sun Feb 18 2001 - nashif@suse.de
- Update to version 1.2.2
* Wed Nov 08 2000 - nashif@suse.de
-  removed build root from paclist
* Tue Nov 07 2000 - nashif@suse.de
- Change to long package names
* Mon Oct 30 2000 - nashif@suse.de
- Update to version 1.2
- #define na for perl 5.6
* Sat Sep 02 2000 - nashif@suse.de
- Added -DPERL_POLLUTE to make it compile with perl 5.6.0
* Sun May 07 2000 - nashif@suse.de
- Initial Release
